Deployment automatizzato di un client
05/04/2016 03:39 PM - Simone Piccardi

Status: Commenti Start date: 05/04/2016
Priority: Normale Due date:

Assignee: Donato Florio % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Viene richiesta una soluzione che automatizzi l'installazione completa di una macchina client

History

#1 - 05/09/2016 03:16 PM - Christopher R. Gabriel

- Assignee set to Gianni Battista Lisci

Quale richiesta particolare? Le strade possibili sono:

e Preseeding di installer e procedura di installazione via PXE
¢ Distribuzione di immagini disco sempre via PXE (possibili problemi con hardware diverso)

Altro?

#2 - 06/16/2016 08:39 AM - Gianni Battista Lisci
Christopher R. Gabriel ha scritto:

Quale richiesta particolare? Le strade possibili sono:

e Preseeding di installer e procedura di installazione via PXE
e Distribuzione di immagini disco sempre via PXE (possibili problemi con hardware diverso)

Altro?

Ciao!

I'ideale sarebbe un'installazione completa fatta partire tramite PXE di una macchina. Con join automatico della macchina nel dominio.

Lavoro da parte del tecnico o insegnante che installa il PC solo I'immissione manuale del nome del PC, al massimo se ci sono PC con HD di diverse
dimensione la partizione del disco.

Gianni
#3 - 06/16/2016 09:28 AM - Christopher R. Gabriel

- Status changed from Nuovo to Commenti

Gianni Battista Lisci ha scritto:
Christopher R. Gabriel ha scritto:
Quale richiesta particolare? Le strade possibili sono:

e Preseeding di installer e procedura di installazione via PXE
¢ Distribuzione di immagini disco sempre via PXE (possibili problemi con hardware diverso)

Altro?

Ciao!
l'ideale sarebbe un'installazione completa fatta partire tramite PXE di una macchina. Con join automatico della macchina nel dominio.

Lavoro da parte del tecnico o insegnante che installa il PC solo I'immissione manuale del nome del PC, al massimo se ci sono PC con HD di
diverse dimensione la partizione del disco.

Entrambe le proposte erano per PXE per fare l'installazione completa, pero' una prevede di installare e fare immagini, I'altra no, con preseeding per
adattarsi alla macchina che si incontra durante l'installazione. La domanda nasce dal fatto se preferite lavorare per immagini standardizzate rispetto a

particolare hardware (che prevede lavoro precedente vostro per farle) oppure no.

#4 - 06/16/2016 09:33 AM - Gianni Battista Lisci
Christopher R. Gabriel ha scritto:

Gianni Battista Lisci ha scritto:
Christopher R. Gabriel ha scritto:
Quale richiesta particolare? Le strade possibili sono:

e Preseeding di installer e procedura di installazione via PXE
¢ Distribuzione di immagini disco sempre via PXE (possibili problemi con hardware diverso)

Altro?

Ciaol
I'ideale sarebbe un'installazione completa fatta partire tramite PXE di una macchina. Con join automatico della macchina nel dominio.
Lavoro da parte del tecnico o insegnante che installa il PC solo I'immissione manuale del nome del PC, al massimo se ci sono PC con HD
di diverse dimensione la partizione del disco.

Entrambe le proposte erano per PXE per fare l'installazione completa, pero' una prevede di installare e fare immagini, I'altra no, con preseeding
per adattarsi alla macchina che si incontra durante l'installazione. La domanda nasce dal fatto se preferite lavorare per immagini standardizzate
rispetto a particolare hardware (che prevede lavoro precedente vostro per farle) oppure no.

io preferisco l'installazione tramite preseeding cosi l'installer si adatta al HW delle varie macchine senza dover fare 3-4 immagini per ogni HW diverso.

#5 - 06/16/2016 09:35 AM - Christopher R. Gabriel

Ok, grazie per la risposta, cosi' possiamo strutturare qualcosa. Un'ulteriore domanda: i profili di preseeding li preferite stabiliti a monte (uno o piu')
uguali per tutete le scuole (cosi' il server li installa direttamente tramite pacchetto) oppure definiti localmente per istituto/scuola?

#6 - 06/16/2016 09:39 AM - Gianni Battista Lisci
Christopher R. Gabriel ha scritto:

Ok, grazie per la risposta, cosi' possiamo strutturare qualcosa. Un'ulteriore domanda: i profili di preseeding li preferite stabiliti a monte (uno o
piu') uguali per tutete le scuole (cosi' il server li installa direttamente tramite pacchetto) oppure definiti localmente per istituto/scuola?

hmm.. bella domanda che mi fai ;)
in teoria non sarebbe male avere 3 profili: elementare/media/superiore cosi ogni livello di scuola ha i suoi SW, solo che ci sono istituti come qua a vipi
che ospitano tutti i 3 i livelli quindi li servono tutti i pachetti. Si potrebbe fare un quarto profilo che fa I'installazione completa.

#7 - 06/16/2016 09:43 AM - Christopher R. Gabriel

Beh' oltre ai software installati ci sono i parametri di partizionamento dei dischi, le password (root ad esempio) etc, che si possono mettere a
preseeding. Il punto e' solo sapere se interessa o meno avere dei profili pronti uguali per tutti oppure no, quindi per ogni istituto bisogna crearli
specificatamente.

Ok per i tre/quattro profili legati al software, ma tutto il resto?

#8 - 06/16/2016 10:01 AM - Gianni Battista Lisci
Christopher R. Gabriel ha scritto:
Beh' oltre ai software installati ci sono i parametri di partizionamento dei dischi, le password (root ad esempio) etc, che si possono mettere a
preseeding. Il punto e' solo sapere se interessa o meno avere dei profili pronti uguali per tutti oppure no, quindi per ogni istituto bisogna crearli
specificatamente.

Ok per i tre/quattro profili legati al software, ma tutto il resto?

partizionamento: per il client servono al max 3 partizioni. boot, swap e root. la boot pit 0 meno ha una grandezza fissa, la root occupa il resto, I'unica
variabile sarebbe la swap.

pw di root: metterei una standard nel preseed.cfg casomai si pud poi cambiare a mano per istituto

pw di local-utente: standard pure quella direi.

mi sono appena letto un esempio di preseed, altre opzioni critiche che possono dare problemi a fine installazione?

#9 - 06/16/2016 10:04 AM - Christopher R. Gabriel

La swap si puo' dimensionare in releazione alla memoria ram.
Ti propongo questo allora:

Il server installa una serie di profili standard, uguali per partizionamento, diversi per software installato. Tutti i profili avranno utenti e password
standard.

Se poi su un singolo istituto decidete di fare diversamente, potete copiare un profilo esistente e da questo crearne uno da custom, da usare per
l'installazione.

Puo' andare bene?

#10 - 06/16/2016 10:08 AM - Gianni Battista Lisci
Christopher R. Gabriel ha scritto:

La swap si puo' dimensionare in releazione alla memoria ram.
Ti propongo questo allora:

Il server installa una serie di profili standard, uguali per partizionamento, diversi per software installato. Tutti i profili avranno utenti e password
standard.

Se poi su un singolo istituto decidete di fare diversamente, potete copiare un profilo esistente e da questo crearne uno da custom, da usare per
l'installazione.

Puo' andare bene?

Direi che va benissimo cosi.
#11 - 06/16/2016 10:08 AM - Christopher R. Gabriel
- Status changed from Commenti to In elaborazione

- Assignee changed from Gianni Battista Lisci to Christopher R. Gabriel

#12 - 09/08/2016 03:34 PM - Christopher R. Gabriel

- Status changed from In elaborazione to Chiuso

Chiudo, preventivato.

#13 - 12/05/2016 12:33 PM - Christopher R. Gabriel
- Status changed from Chiuso to Nuovo

- Target version set to Prima tranche aggiornamenti

#14 - 12/05/2016 12:35 PM - Christopher R. Gabriel

- Target version changed from Prima tranche aggiornamenti to Seconda tranche aggiornamenti

#15 - 01/20/2017 11:22 AM - Christopher R. Gabriel

- Status changed from Nuovo to In elaborazione

Soluzione implementata, siamo a fare test di verifica finali.

#16 - 03/01/2017 11:24 AM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Nuova versione di fuss-server e' stata pubblicata (8.0.1-1)

#17 - 04/11/2017 04:55 PM - Paolo Dongilli
- Project changed from Fuss 2016 to Nuovi Sviluppi

#18 - 05/18/2017 05:46 PM - Paolo Dongilli
- Assignee changed from Paolo Dongilli to Michael Guggenberg

#19 - 05/22/2017 12:27 PM - Michael Guggenberg

- File change_hostname.txt added

allego semplice sript che usavo per ccambiare I'hostname, forse puo aiutare

#20 - 08/02/2018 02:40 PM - Helmut Oberholllenzer

Idea:

- Tramite la mac del client si mette il nome in octonet.

- Avendo la mac del client "connesso" al nome del host preparare una f12 full automated.

- Prevedere sulla lista dei hosts di selezionare magari via dropdown quale image sotto "/var/clonezilla/" viene installato al prossimo f12 e avere un
flag per attivare "riinstalla".

- Magari si potrebbe mettere ogni client sempre in boot f12 - Il Server guarda nel elenco se il client con mac esiste e fa un boot normale, se € messo il
flag "riinstalla”" fa und f12 automated con l'immagine selezionata.

- prevedere wakeonlan e un shutdown programmabile per ogni host.

saluti
Helmut
#21 - 05/17/2019 12:57 AM - Paolo Dongilli
- Assignee changed from Michael Guggenberg to Donato Florio

- Target version deleted (Seconda tranche aggiornamenti)

Donato, inoltro a te questa richiesta in quanto si avvicina molto alla tua idea.

Files

change_hostname.txt 1.32 KB

07/12/2025

05/22/2017

Michael Guggenberg
